0
$\begingroup$

Rosanswers logo

Hi ,

I downloaded pcl and perception_pcl from pointclouds.org and did rosdep without any errors..

when I rosmake pcl_ros, its resulting the errors below.

mkdir -p bin cd build && cmake -Wdev -DCMAKE_TOOLCHAIN_FILE=rospack find rosbuild/rostoolchain.cmake .. [rosbuild] Building package pcl_ros [rosbuild] Cached build flags older than manifests; calling rospack to get flags Failed to invoke /opt/ros/fuerte/bin/rospack cflags-only-I;--deps-only pcl_ros CMake Error at /usr/lib/vtk-5.8/VTKTargets.cmake:16 (ADD_EXECUTABLE): Command add_executable() is not scriptable Call Stack (most recent call first): /usr/lib/vtk-5.8/VTKConfig.cmake:231 (INCLUDE) /usr/share/cmake-2.8/Modules/FindVTK.cmake:73 (FIND_PACKAGE) /home/sai/fuerte_workspace/pcl17/pcl/vtk_include.cmake:1 (find_package)

CMake Error at /opt/ros/fuerte/share/ros/core/rosbuild/public.cmake:129 (message):

Failed to invoke rospack to get compile flags for package 'pcl_ros'.  Look
above for errors from rospack itself.  Aborting.  Please fix the broken
dependency!

Call Stack (most recent call first): /opt/ros/fuerte/share/ros/core/rosbuild/public.cmake:227 (rosbuild_invoke_rospack) CMakeLists.txt:4 (rosbuild_init)

-- Configuring incomplete, errors occurred!

Thanks


Originally posted by sai on ROS Answers with karma: 1935 on 2013-02-18

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

You should use the one provided with ROS, type in a terminal :

sudo apt-get install ros-fuerte-pcl* ros-fuerte-perception*

Unless you wanted to use some unstable ones ?

Bests reguards,

Steph

Ps :And next time, don't forget to precise : your distribution (Ubuntu xx.xx), your platform, and which ROS you use (I see from the error message you are using fuerte)


Originally posted by Stephane.M with karma: 1304 on 2013-02-18

This answer was ACCEPTED on the original site

Post score: 1


Original comments

Comment by sai on 2013-02-19:
ubuntu 12.04 and fuerte, The registration library which i wanted to use is not up to date in ros-fuerte repository. So I downloaded from the trunk from pcl website which has ros wrappers but it isresulting in the above errors given in the question

Comment by Stephane.M on 2013-02-19:
OK... Yes, I tried to compiled pcl trunk also but a lot of things doesn't compile in it, thus needing to flag only the part you want to compile, and leave the rest out. You can go to PCL support forum, in which you may find more help (suscribe at http://pointclouds.org/mailman/listinfo/pcl-users)

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.